org.apache.poi.xslf.extractor

## Class XSLFPowerPointExtractor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.ooxml.extractor.POIXMLTextExtractor
    - - org.apache.poi.xslf.extractor.XSLFPowerPointExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

  Deprecated.
  use `SlideShowExtractor`

      @Deprecated
       @Removal(version="5.0.0")
      public class XSLFPowerPointExtractor
      extends POIXMLTextExtractor

  Extractor for XSLF SlideShows

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XSLFRelation[]` | `SUPPORTED_TYPES` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLFPowerPointExtractor(OPCPackage container)` Deprecated.
    `XSLFPowerPointExtractor(XMLSlideShow slideShow)` Deprecated.
    `XSLFPowerPointExtractor(XSLFSlideShow slideShow)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Deprecated. Gets the slide text, but not the notes text
    `java.lang.String` | `getText(boolean slideText, boolean notesText)` Deprecated. Gets the requested text from the file
    `java.lang.String` | `getText(boolean slideText, boolean notesText, boolean masterText)` Deprecated. Gets the requested text from the file
    `java.lang.String` | `getText(boolean slideText, boolean notesText, boolean commentText, boolean masterText)` Deprecated. Gets the requested text from the file
    `static java.lang.String` | `getText(XSLFSlide slide, boolean slideText, boolean notesText, boolean masterText)` Deprecated. Gets the requested text from the slide
    `static java.lang.String` | `getText(XSLFSlide slide, boolean slideText, boolean notesText, boolean commentText, boolean masterText)` Deprecated. Gets the requested text from the slide
    `static void` | `main(java.lang.String[] args)` Deprecated.
    `void` | `setCommentsByDefault(boolean commentsByDefault)` Deprecated. Should a call to getText() return comments text? Default is no
    `void` | `setMasterByDefault(boolean masterByDefault)` Deprecated. Should a call to getText() return text from master? Default is no
    `void` | `setNotesByDefault(boolean notesByDefault)` Deprecated. Should a call to getText() return notes text? Default is no
    `void` | `setSlidesByDefault(boolean slidesByDefault)` Deprecated. Should a call to getText() return slide text? Default is yes

    - ### Methods inherited from class org.apache.poi.ooxml.extractor.POIXMLTextExtractor

      `checkMaxTextSize, close, getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getMetadataTextExtractor, getPackage`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUPPORTED_TYPES

          public static final XSLFRelation[] SUPPORTED_TYPES

      Deprecated.

  - ### Constructor Detail

    - #### XSLFPowerPointExtractor

          public XSLFPowerPointExtractor(XMLSlideShow slideShow)

      Deprecated.

    - #### XSLFPowerPointExtractor

          public XSLFPowerPointExtractor(XSLFSlideShow slideShow)

      Deprecated.

    - #### XSLFPowerPointExtractor

          public XSLFPowerPointExtractor(OPCPackage container)
                                  throws org.apache.xmlbeans.XmlException,
                                         OpenXML4JException,
                                         java.io.IOException

      Deprecated.
      Throws:
        `org.apache.xmlbeans.XmlException`
        `OpenXML4JException`
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Deprecated.
      Throws:
        `java.lang.Exception`

    - #### setSlidesByDefault

          public void setSlidesByDefault(boolean slidesByDefault)

      Deprecated.
      Should a call to getText() return slide text? Default is yes

    - #### setNotesByDefault

          public void setNotesByDefault(boolean notesByDefault)

      Deprecated.
      Should a call to getText() return notes text? Default is no

    - #### setCommentsByDefault

          public void setCommentsByDefault(boolean commentsByDefault)

      Deprecated.
      Should a call to getText() return comments text? Default is no

    - #### setMasterByDefault

          public void setMasterByDefault(boolean masterByDefault)

      Deprecated.
      Should a call to getText() return text from master? Default is no

    - #### getText

          public java.lang.String getText()

      Deprecated.
      Gets the slide text, but not the notes text
      Specified by:
        `getText` in class `POITextExtractor`
      Returns:
        All the text from the document

    - #### getText

          public java.lang.String getText(boolean slideText,
                                          boolean notesText)

      Deprecated.
      Gets the requested text from the file
      Parameters:
        `slideText` - Should we retrieve text from slides?
        `notesText` - Should we retrieve text from notes?

    - #### getText

          public java.lang.String getText(boolean slideText,
                                          boolean notesText,
                                          boolean masterText)

      Deprecated.
      Gets the requested text from the file
      Parameters:
        `slideText` - Should we retrieve text from slides?
        `notesText` - Should we retrieve text from notes?
        `masterText` - Should we retrieve text from master slides?
      Returns:
        the extracted text

    - #### getText

          public java.lang.String getText(boolean slideText,
                                          boolean notesText,
                                          boolean commentText,
                                          boolean masterText)

      Deprecated.
      Gets the requested text from the file
      Parameters:
        `slideText` - Should we retrieve text from slides?
        `notesText` - Should we retrieve text from notes?
        `commentText` - Should we retrieve text from comments?
        `masterText` - Should we retrieve text from master slides?
      Returns:
        the extracted text

    - #### getText

          public static java.lang.String getText(XSLFSlide slide,
                                                 boolean slideText,
                                                 boolean notesText,
                                                 boolean masterText)

      Deprecated.
      Gets the requested text from the slide
      Parameters:
        `slide` - the slide to retrieve the text from
        `slideText` - Should we retrieve text from slides?
        `notesText` - Should we retrieve text from notes?
        `masterText` - Should we retrieve text from master slides?
      Returns:
        the extracted text

    - #### getText

          public static java.lang.String getText(XSLFSlide slide,
                                                 boolean slideText,
                                                 boolean notesText,
                                                 boolean commentText,
                                                 boolean masterText)

      Deprecated.
      Gets the requested text from the slide
      Parameters:
        `slide` - the slide to retrieve the text from
        `slideText` - Should we retrieve text from slides?
        `notesText` - Should we retrieve text from notes?
        `commentText` - Should we retrieve text from comments?
        `masterText` - Should we retrieve text from master slides?
      Returns:
        the extracted text

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.